# change the distro and perl defines to reflect the version of RedHat and perl
# you are building the rpm for.
%define distro rh73
%define perl 5.6.1

Summary: PCXperience Firewall Rules Modules
Name: pcxfirewall-rules
Version: 2.4
Release: 6.%{distro}
Copyright: GPL
Group: Applications/Firewall
Source: pcxfirewall-rules-%{version}.tar.gz
URL: http://pcxfirewall.sourceforge.net/
Vendor: Xperience, Inc.
Packager: James A. Pattie <james@pcxperience.com>
BuildRoot: /var/tmp/pcxfirewall-rules-%{version}-buildroot/
BuildRequires: perl = %{perl}, pcxfirewall >= 2.22
Requires: perl = %{perl}, iptables, kernel >= 2.4.5, pcxfirewall >= 2.22, libxml2 >= 2.4.11
Conflicts: pcx_firewall_rules

%description
The pcxfirewall-rules modules plug into the PCXFirewall 2.x as a complete
firewall solution that is built upon the Toolkit provided by the PCXFirewall.

%prep
%setup -q

%build
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
./install -p $RPM_BUILD_ROOT -r

%clean
rm -rf $RPM_BUILD_ROOT

%install
[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/ -type f -print |
  sed "s@^$RPM_BUILD_ROOT@@g" |
  grep -v perllocal.pod |
  grep -v "/usr/lib/pcx_firewall/PCXFireWall/VeryTight.xml" |
  grep -v "/usr/lib/pcx_firewall/PCXFireWall/VeryTight2.xml" |
  grep -v "/usr/lib/pcx_firewall/PCXFireWall/Rules.pm" |
  grep -v "\.packlist" > pcxfirewall-rules-%{version}-filelist
if [ "$(cat pcxfirewall-rules-%{version}-filelist)X" = "X" ]; then
  echo "ERROR: EMPTY FILE LIST"
  exit -1
fi

%files -f pcxfirewall-rules-%{version}-filelist
%defattr(-,root,root)
%dir /usr/lib/pcx_firewall
%dir /usr/lib/pcx_firewall/PCXFireWall
%config /usr/lib/pcx_firewall/PCXFireWall/VeryTight.xml
%config /usr/lib/pcx_firewall/PCXFireWall/VeryTight2.xml
%config /usr/lib/pcx_firewall/PCXFireWall/Rules.pm
%doc docs/VeryTight.html
%doc README
%doc Changes
%doc convert.pl
%doc convert2.pl

%changelog
* Sat Aug 02 2003 James A. Pattie <james@pcxperience.com>
- Version 2.4 - Fixed some minor documentation bugs.
  Updated the file names to be more Debian friendly.

* Tue Oct 29 2002 James A. Pattie <james@pcxperience.com>
- Version 2.3 - Updating to take advantage of the enhancements in 
  PCXFirewall 2.17.

* Fri Oct 04 2002 James A. Pattie <james@pcxperience.com>
- Version 2.2 - Updating to xml format 2.1, etc.

* Fri May 24 2002 James A. Pattie <james@pcxperience.com>
- Version 2.1 - Minor bugs in the parser and convert.pl.

* Thu May 09 2002 James A. Pattie <james@pcxperience.com>
- Version 2.0 - Major changes in XML config format, etc.

* Wed Apr 24 2002 James A. Pattie <james@pcxperience.com>
- Version 1.9 - Improved error output.

* Wed Apr 17 2002 James A. Pattie <james@pcxperience.com>
- Version 1.8 - Fixed a bug in regards to irc modules and xml updates.

* Tue Apr 09 2002 James A. Pattie <james@pcxperience.com>
- Version 1.7 - Added support for the insmod Modules module.

* Fri Mar 29 2002 James A. Pattie <james@pcxperience.com>
- Version 1.6 - VeryTight2 changes.

* Wed Feb 20 2002 James A. Pattie <james@pcxperience.com>
- Version 1.5 - Adds alias attributes and the ability to disable the internal
  zone.

* Tue Feb 12 2002 James A. Pattie <james@pcxperience.com>
- Version 1.4 - Fixed IPSec issue with marking locally generated traffic.

* Fri Jan 11 2002 James A. Pattie <james@pcxperience.com>
- Version 1.3 - Adding <mangleRules> tag to <config> section to allow the
  ability to turn off TOS mangling.  Added DNAT and REDIRECT support to the
  firewallTo<zones> tags.  Modularized the Perl Data structure for the config
  file.  Provided HTML and XML generation methods for it.

* Sat Jan 05 2002 James A. Pattie <james@pcxperience.com>
- Version 1.2 - Fixed the bug that didn't support eth0:0 style interfaces.
  Added support to not limit certain log or icmp rules that are configurable.

* Thu Dec 27 2001 James A. Pattie <james@pcxperience.com>
- Version 1.1 - ConfigParser and VeryTight are now installed into the Perl tree.
  Updated the installation method to be similar to the PCXFireWall package.

* Thu Nov 29 2001 James A. Pattie <james@pcxperience.com>
- Version 1.0 - Created the first rpm distro for the rules module.

